Bug 1462225 - (CVE-2017-0663) CVE-2017-0663 libxml2: Heap buffer overflow in xmlAddID
CVE-2017-0663 libxml2: Heap buffer overflow in xmlAddID
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
: Security
Depends On: 1462226 1462227 1462228 1525811
Blocks: 1462234
  Show dependency treegraph
Reported: 2017-06-16 08:47 EDT by Adam Mariš
Modified: 2017-12-14 00:38 EST (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-06-30 01:49:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2017-06-16 08:47:27 EDT
A heap-based buffer overflow vulnerability in libxml2 in xmlValidateOneNamespace function due to incorrect casting was found.

Upstream bug (private at this moment):


Oss-fuzz bug report:


Android patch:



Comment 1 Adam Mariš 2017-06-16 08:49:27 EDT
Created libxml2 tracking bugs for this issue:

Affects: fedora-all [bug 1462226]

Created mingw-libxml2 tracking bugs for this issue:

Affects: epel-7 [bug 1462227]
Affects: fedora-all [bug 1462228]
Comment 2 Doran Moppert 2017-06-18 22:09:09 EDT
Potential RCE through pointer confusion:  passing an xmlNs* where an xmlAttr* was intended .. xmlNs is a smaller structure with some overlap, so opportunity potentially exists to overwrite some juicy pointers after the end of the structure.

The flaw exists in validation (xmlValidateDtd(), xmlValidateDocument()), so applications that do not attempt to validate untrusted documents are not impacted.
Comment 3 Doran Moppert 2017-06-23 01:19:55 EDT

This vulnerability exists in the DTD validation functionality of libxml2.  Applications that do not attempt to validate untrusted documents are not impacted.

Note You need to log in before you can comment on or make changes to this bug.